export type EntityId = number|string;

export class Entity<T> {
  protected readonly id: EntityId;
  protected model: T;

  public constructor(id: EntityId, model: T) {
    this.id = id;
    this.model = model;
  }

  public getId(): EntityId {
    return this.id;
  }

  public getModel(): T {
    return this.model;
  }
}
