import { Entity, type EntityId } from '@slovo/domain/entity';

export interface Repository<T> {
  get(id: EntityId): Promise<Entity<T>>;
  save(model: T): Promise<Entity<T>>;
  update(model: Entity<T>): Promise<Entity<T>>;
  delete(model: Entity<T>): Promise<boolean>;
}

